This URL retrieves all policies assigned for particular interfaces for the device in the given domain.
Resource URL
GET domain/<domain_id>/policyassignments/interface/<interface_id>
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| domain_id | Domain id | Number | Yes |
| Interface_id | Interface id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| deviceName | Device name | String |
| deviceId | Device id | Number |
| interfaceName | Interface name | String |
| interfaceId | Interface id | Number |
| policygroup | Policy group name | String |
| ipsPolicy | IPS policy name | String |
| advancedMalwareInboundPolicy | Advanced malware inbound policy name | String |
| advancedMalwareOutboundPolicy | Advanced malware outbound policy name | String |
| connectionLimitingPolicy | Connection limiting policy name | String |
| firewallPolicy | Firewall policy name | String |
| qosInboundPolicy | QoS inbound policy name | String |
| qosOutboundPolicy | QoS outbound policy name | String |
| protectionOptionsPolicy | Inspection options policy name | String |
| qosInboundRateLimitingProfile | QoS inbound rate limiting profile | String |
| qosOutboundRateLimitingProfile | QoS outbound rate limiting profile | String |
| atdUserForInboundATDAnalysis | ATD user for inbound malware analysis | String |
| atdUserForOutboundATDAnalysis | ATD user for outbound malware analysis | String |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/policyassignemnts/interface/137
Response
policyAssignmentsList
{
[
{
"deviceName": "API_2950_2",
"deviceId": 1001,
"interfaceName": "5A-5B",
"interfaceId": 137,
"ipsPolicy": "Default Inline IPS",
"firewallPolicy": "NSAT_Adv_Rules_for_Interface",
"firewallPortPolicy": "NSAT_Adv_Rules_for_Port",
"qosInboundPolicy": "SrvRL_Inbound",
"qosOutboundPolicy": "SrvRL_Outbound",
"qosInboundRateLimitingProfile": "AppID-RL Inbound",
"qosOutboundRateLimitingProfile": "AppID-RL Outbound"
}
]
}
Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 4301 | Invalid domain id |
| 2 | 400 | 1107 | Invalid Interface id |